Qt 5.6 | Qt 3D | C++ Classes | QDepthTest

Qt 5.6.3 Reference Documentation

# QDepthTest Class

(Qt3DRender::QDepthTest)

Inherits: | QRenderState

- List of all members, including inherited members

## Public Types

enum | DepthFunc { Never, Always, Less, LessOrEqual, ..., NotEqual }

## Properties

- func : DepthFunc

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QDepthTest(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QDepthTest()
DepthFunc | func() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setFunc(DepthFunc func)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | funcChanged(DepthFunc func)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QDepthTest::DepthFunc

## Property Documentation

### func : DepthFunc

Access functions:

DepthFunc | func() const
void | setFunc(DepthFunc func)

Notifier signal:

void | funcChanged(DepthFunc func)

## Member Function Documentation

### QDepthTest::QDepthTest(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QDepthTest.

### QDepthTest::~QDepthTest()

Destroys the instance of QDepthTest.

### `[protected]` void QDepthTest::copy(const Qt3DCore::QNode *ref)